#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_with	tests	# unit tests (needs git checkout, not archive?)

%define		module	gitdb
Summary:	GitDB - pure-Python git object database
Summary(pl.UTF-8):	GitDB - czysto pythonowa baza danych obiektów gita
Name:		python3-%{module}
Version:	4.0.9
Release:	5
License:	BSD
Group:		Development/Languages/Python
#Source0Download: https://github.com/gitpython-developers/gitdb/tags
Source0:	https://github.com/gitpython-developers/gitdb/archive/%{version}/%{module}-%{version}.tar.gz
# Source0-md5:	2f3e4166f6cd72e7946202d1f1144f29
URL:		https://github.com/gitpython-developers/gitdb
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-smmap >= 3.0.1
BuildRequires:	python3-smmap < 6
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%{?with_doc:BuildRequires:	sphinx-pdg}
Requires:	python3-modules >= 1:3.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GitDB allows you to access bare git repositories for reading and
writing. It aims at allowing full access to loose objects as well as
packs with performance and scalability in mind. It operates
exclusively on streams, allowing to handle large objects with a small
memory footprint.

%description -l pl.UTF-8
GitDB pozwala na dostęp do gołych repozytoriów gita do odczytu i
zapisu. Celem jest umożliwienie pełnego dostępu do luźnych obiektów,
jak i paczek z myślą o wydajności i skalowalności. Operuje wyłącznie
na strumieniach, pozwalając na obsługę dużych obiektów przy niewielkim
narzucie czasu.

%package apidocs
Summary:	API documentation for GitDB module
Summary(pl.UTF-8):	Dokumentacja API modułu GitDB
Group:		Documentation

%description apidocs
API documentation for GitDB module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu GitDB.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build %{?with_tests:test}

%if %{with doc}
%{__make} -C doc html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/gitdb/test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE README.rst
%dir %{py3_sitescriptdir}/gitdb
%{py3_sitescriptdir}/gitdb/*.py
%{py3_sitescriptdir}/gitdb/db
%{py3_sitescriptdir}/gitdb/utils
%{py3_sitescriptdir}/gitdb/__pycache__
%{py3_sitescriptdir}/gitdb-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc doc/build/html/{_static,*.html,*.js}
%endif
%changelog
* Thu Apr 28 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-gitdb.git;a=log;h=master

* Thu Apr 28 2022 Jakub Bogusz <qboosh@pld-linux.org> 15a3132
- release 5

* Thu Apr 28 2022 Jakub Bogusz <qboosh@pld-linux.org> 0b5ce75
- moved python-gitdb.spec to python3-gitdb: gitdb >= 3.0.0 requires python3; updated dependencies

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> fbff5db
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 56626c1
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 4b0ed56
- rebuild with python 3.10

* Thu Jan 13 2022 Jan Rękorajski <baggins@pld-linux.org> 2e9edb6
- up to 4.0.9

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> e159ce9
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> f6e76c1
- rebuild with python 3.8
- release 3 (by relup.sh)

* Thu Mar 21 2019 Jakub Bogusz <qboosh@pld-linux.org> faf439c
- updated dependencies, added python3- and -apidocs packages; release 2

* Wed Dec 05 2018 Adam Gołębiowski <adamg@pld-linux.org> 9011c69
- updated to 2.0.5

* Wed Apr 04 2018 Jan Rękorajski <baggins@pld-linux.org> cb8dfbe
- up to 2.0.3

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 71613bb
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 87739f0
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 1629f11
- automatic change: use py_build/py_install macros

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> ff89cbe
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> 8fd4d05
- up to 0.6.0

* Thu Nov 01 2012 Artur Frysiak <artur@frysiak.net> ff265a1
- New

